Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 157686

Summary: can't --grow raid 1 to -n 1
Product: [Fedora] Fedora Reporter: Alexandre Oliva <oliva>
Component: mdadmAssignee: Doug Ledford <dledford>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-16 15:39:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Alexandre Oliva 2005-05-13 18:46:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.7) Gecko/20050509 Fedora/1.0.3-5 Firefox/1.0.3

Description of problem:
mdadm rejects the command-line flags that would enable one to shrink the number of active members of a raid 1 device to 1, although it enables one to create such a device from scratch.

Version-Release number of selected component (if applicable):
mdadm-1.9.0-3.fc4

How reproducible:
Always

Steps to Reproduce:
1.mdadm -C /dev/md0 -l 1 -n 1 /dev/loop0
2.mdadm -C /dev/md0 -l 1 --force -n 1 /dev/loop0
3.mdadm --stop /dev/md0
4.mdadm -C /dev/md0 -l 1 -n 2 /dev/loop0 missing
5.mdadm --grow /dev/md0 -n 1
6.mdadm --grow /dev/md0 --force -n 1

Actual Results:  1. says --force is required, so 2. works.  5. says you need --force, but 6. says you can't use -f (although I said --force) along with --grow

Expected Results:  6. should ideally work, or some other means to bypass the single-member test should be introduced.

Additional info:

Comment 1 Christian Iseli 2007-01-22 10:59:16 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Matthew Miller 2007-04-06 15:06:15 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 3 petrosyan 2008-02-16 15:39:21 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.